%define major		7
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define faxspool	%{_var}/spool/fax

Summary:	An enterprise-strength fax server
Name:		hylafax+
Version:	7.0.10
Release:	%mkrel 1
License: 	libtiff and BSD with advertising
Group:		Communications/Fax
URL: 		https://hylafax.sourceforge.io/
Source0:	https://prdownloads.sourceforge.net/hylafax/hylafax-%{version}.tar.gz
Source1:	hylafax+_daily.cron
Source2:	hylafax+_hourly.cron
Source3:	hylafax+_hfaxd_systemd.service
Source4:	hylafax+_faxq_systemd.service
Source5:        hylafax+_faxgetty_systemd.service
Source6:	hylafax+_sysconfig
Source7: 	%{name}-hfaxd-tmpfiles.conf
Source8: 	%{name}-faxq-tmpfiles.conf
Patch0:		%{name}-soname.patch
Patch1:		%{name}-libversion.patch

BuildRequires:	ghostscript >= 7.07
BuildRequires:	jbig-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libpam-devel
BuildRequires:	pkgconfig(libtiff-4) >= 3.5.7
BuildRequires:	libtiff-progs >= 3.5.7
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	mgetty
BuildRequires:	sendmail-command
BuildRequires:	sharutils
BuildRequires:	pkgconfig(zlib)
Requires:	%{name}-client = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	ghostscript >= 7.07
Requires:	gawk >= 3.0.6
Requires:	MailTransportAgent
Requires:	libtiff-progs >= 3.5.7
Requires:	mgetty
Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}
Provides:	hylafax = %{version}-%{release}
# We need to obsolete both, the rpm and the srpm
Obsoletes:	hylafax-server < 1:%{version}-%{release}
Obsoletes:	hylafax < 1:%{version}-%{release}
Conflicts:	mgetty-sendfax


%description
HylaFAX(tm) is a sophisticated enterprise-strength fax package for class 1 and
2 fax modems on unix systems. It provides spooling services and numerous
supporting fax management tools. The fax clients may reside on machines
different from the server and client implementations exist for a number of
platforms including windows.


%package	client
Summary: 	Client programs for HylaFAX fax servers
Group:		Communications/Fax
Provides:	hylafax-client = %{version}-%{release}
Obsoletes:	hylafax-client < 1:%{version}-%{release}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Conflicts:	hylafax < 5.5.5-1
Conflicts:	mgetty-sendfax


%description	client
HylaFAX(tm) is a sophisticated enterprise-strength fax package for class 1 and
2 fax modems on unix systems. It provides spooling services and numerous
supporting fax management tools. The fax clients may reside on machines
different from the server and client implementations exist for a number of
platforms including windows.

This is the client portion of HylaFAX.

%package -n	%{libname}
Summary:	Hylafax libraries
Group:		System/Libraries
Provides:       %{libname} = %{version}-%{release}
%ifarch x86_64
Obsoletes:	lib64hylafax5 < 1:%{version}-%{release}
%else
Obsoletes:	libhylafax5 < 1:%{version}-%{release}
%endif


%description -n %{libname}
HylaFAX(tm) is a sophisticated enterprise-strength fax package for class 1 and
2 fax modems on unix systems. It provides spooling services and numerous
supporting fax management tools. The fax clients may reside on machines
different from the server and client implementations exist for a number of
platforms including windows.

This is the shared libraries of HylaFAX.

%package -n	%{develname}
Summary:	Hylafax Development libraries
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{develname} = %{version}-%{release}
%ifarch x86_64
Obsoletes:	lib64hylafax-devel < 1:%{version}-%{release}
%else
Obsoletes:	libhylafax-devel < 1:%{version}-%{release}
%endif
Conflicts:	hylafax-client < 5.5.8-1



%description -n	%{develname}
HylaFAX(tm) is a sophisticated enterprise-strength fax package for class 1 and
2 fax modems on unix systems. It provides spooling services and numerous
supporting fax management tools. The fax clients may reside on machines
different from the server and client implementations exist for a number of
platforms including windows.

This is the development libraries for HylaFAX.

%prep
%autosetup -p1 -n hylafax-%{version}


%build
%serverbuild

# - Can't use the configure macro because HylaFAX configure script does
#   not understand the config options used by that macro

STRIP=':' \
./configure \
	--target=%{_target_platform} \
	--with-DIR_BIN=%{_bindir} \
	--with-DIR_SBIN=%{_sbindir} \
	--with-DIR_LIB=%{_libdir} \
	--with-DIR_LIBEXEC=%{_sbindir} \
	--with-DIR_LIBDATA=%{_sysconfdir}/hylafax \
	--with-DIR_LOCKS=%{_var}/lock \
	--with-LIBDIR=%{_libdir} \
	--with-TIFFBIN=%{_bindir} \
	--with-DIR_MAN=%{_mandir} \
	--with-PATH_GSRIP=%{_bindir}/gs \
	--with-TIFFINC=-L%{_includedir} \
	--with-DBLIBINC=%{_includedir} \
	--with-LIBTIFF="-ltiff -ljpeg -lz -lm" \
	--with-DIR_SPOOL=%{faxspool} \
	--with-AFM=no \
	--with-AWK=%{_bindir}/gawk \
	--with-PATH_VGETTY=/sbin/vgetty \
	--with-PATH_GETTY=/sbin/mgetty \
	--with-PAGESIZE=Letter \
	--with-PATH_DPSRIP=%{faxspool}/bin/ps2fax \
	--with-PATH_IMPRIP=%{_datadir}/fax/psrip \
	--with-SYSVINIT=%{_initrddir}/hylafax \
	--with-INTERACTIVE=no


# CFLAGS is set up by the HylaFAX configure script; setting it up here the
# standard way would break things. Since OPTIMIZER is included in CFLAGS
# by the HylaFAX configure system, it's used here in place of CFLAGS
# doesn't build using %%make_build
%__make OPTIMIZER="$CFLAGS %{ldflags}" LDFLAGS="\${LDOPTS} \${LDLIBS} %{ldflags}"


%install


%{__install} -d -m 755 %{buildroot}%{_sysconfdir}/{logrotate.d,cron.hourly,cron.daily}
%{__install} -d -m 755 %{buildroot}%{_bindir}
%{__install} -d -m 755 %{buildroot}%{_sbindir}
%{__install} -d -m 755 %{buildroot}%{_libdir}
%{__install} -d -m 755 %{buildroot}%{_datadir}/fax
%{__install} -d -m 755 %{buildroot}%{faxspool}/{etc,config/defaults,bin}
%{__install} -d -m 755 %{buildroot}%{_mandir}/{man1,man5,man8}

# install: binaries and man pages
# FAXUSER, FAXGROUP, SYSUSER and SYSGROUP are set to the current user to
# avoid warnings about chown/chgrp if the user building the SRPM is not root;
# they are set to the correct values with the RPM attr macro
%makeinstall -e \
	FAXUSER=`id -u` \
	FAXGROUP=`id -g` \
	SYSUSER=`id -u` \
	SYSGROUP=`id -g` \
	BIN=%{buildroot}%{_bindir} \
	SBIN=%{buildroot}%{_sbindir} \
	LIBDIR=%{buildroot}%{_libdir} \
	LIBDATA=%{buildroot}%{_sysconfdir}/hylafax \
	LIBEXEC=%{buildroot}%{_sbindir} \
	SPOOL=%{buildroot}%{faxspool} \
	MAN=%{buildroot}%{_mandir} \
	INSTALL_ROOT=%{buildroot}
	
# install: remaining files
%{__install} -D -p -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.daily/hylafax
%{__install} -p -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.hourly/hylafax
%{__install} -D -p -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/hylafax-hfaxd.service
%{__install} -D -p -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/hylafax-faxq.service
%{__install} -D -p -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/hylafax-faxgetty@.service
%{__install} -D -p -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/hylafax

%{__install} -D -p -m 0644 %{SOURCE7} %{buildroot}%{_tmpfilesdir}/hylafax-hfaxd.conf
%{__install} -D -p -m 0644 %{SOURCE8} %{buildroot}%{_tmpfilesdir}/hylafax-faxq.conf


# Prepare docdir by removing non-doc files
# Remove files that are not needed on Linux
rm -f %{buildroot}%{_sbindir}/{faxsetup.irix,faxsetup.bsdi}
rm -f %{buildroot}%{faxspool}/bin/{ps2fax.imp,ps2fax.dps}
rm -f %{buildroot}%{faxspool}/etc/dpsprinter.ps

## We alrady have this in the doc section
rm -f %{buildroot}%{faxspool}/COPYRIGHT

# logrotate
# %%{__install} -m0644 hylafax-server.logrotate %%{buildroot}%%{_sysconfdir}/logrotate.d/hylafax-server

# dialrules extras - Darren says the dialrules haven't changed
#%%{__install} -m 644 dialrules_extras/dialrules* %%{buildroot}%%{faxspool}/etc

## This has been added some time ago and may be needed by another package?
(cd %{buildroot}%{faxspool}/bin; ln -s ps2fax.gs ps2fax)



cat > README.urpmi << EOF
#########################################################
#            HylaFAX installation complete!             #
#                                                       #
#      You should now run /usr/sbin/faxsetup to         #
#       create or update HylaFAX configuration          #
#      before you can begin using the software.         #
#                                                       #
#########################################################
EOF


%post 
%_tmpfilescreate hylafax-hfaxd
%_tmpfilescreate hylafax-faxq
%_post_service hylafax-hfaxd
%_post_service hylafax-faxq

echo "Please run \"%{_sbindir}/faxsetup -server\" to configure your fax server"

%preun
%_preun_service hylafax-hfaxd
%_preun_service hylafax-faxq

%post client
echo "Please run \"%{_sbindir}/faxsetup -client\" to configure your fax client"



%files
%doc CHANGES CONTRIBUTORS COPYRIGHT README TODO VERSION
%{_unitdir}/hylafax-faxgetty@.service
%{_unitdir}/hylafax-hfaxd.service
%{_unitdir}/hylafax-faxq.service
%{_tmpfilesdir}/hylafax-hfaxd.conf
%{_tmpfilesdir}/hylafax-faxq.conf
%{_mandir}/man5/doneq.5f*
%{_mandir}/man5/hosts.hfaxd.5f*
%{_mandir}/man5/hylafax-config.5f*
%{_mandir}/man5/hylafax-info.5f*
%{_mandir}/man5/hylafax-log.5f*
%{_mandir}/man5/hylafax-server.5f*
%{_mandir}/man5/hylafax-shutdown.5f*
%{_mandir}/man5/pagermap.5f*
%{_mandir}/man5/recvq.5f*
%{_mandir}/man5/sendq.5f*
%{_mandir}/man5/status.5f*
%{_mandir}/man5/tsi.5f*
%{_mandir}/man5/xferfaxlog.5f*
%{_mandir}/man8/choptest.8c*
%{_mandir}/man8/cqtest.8c*
%{_mandir}/man8/faxabort.8c*
%{_mandir}/man8/faxaddmodem.8c*
%{_mandir}/man8/faxadduser.8c*
%{_mandir}/man8/faxanswer.8c*
%{_mandir}/man8/faxconfig.8c*
%{_mandir}/man8/faxcron.8c*
%{_mandir}/man8/faxdeluser.8c*
%{_mandir}/man8/faxgetty.8c*
%{_mandir}/man8/faxlock.8c*
%{_mandir}/man8/faxmodem.8c*
%{_mandir}/man8/faxq.8c*
%{_mandir}/man8/faxqclean.8c*
%{_mandir}/man8/faxquit.8c*
%{_mandir}/man8/faxrcvd.8c*
%{_mandir}/man8/faxsend.8c*
%{_mandir}/man8/faxstate.8c*
%{_mandir}/man8/hfaxd.8c*
%{_mandir}/man8/jobcontrol.8c*
%{_mandir}/man8/mkcover.8c*
%{_mandir}/man8/notify.8c*
%{_mandir}/man8/pagesend.8c*
%{_mandir}/man8/pollrcvd.8c*
%{_mandir}/man8/ps2fax.8c*
%{_mandir}/man8/recvstats.8c*
%{_mandir}/man8/tagtest.8c*
%{_mandir}/man8/tsitest.8c*
%{_mandir}/man8/wedged.8c*
%{_mandir}/man8/xferfaxstats.8c*
%{_mandir}/man8/faxmsg.8c*
%{_mandir}/man8/hylafax.8c*
%{_mandir}/man8/lockname.8c*
%{_mandir}/man8/ondelay.8c*
%{_mandir}/man8/probemodem.8c*
%dir %{_sysconfdir}/hylafax
%config(noreplace) %{_sysconfdir}/hylafax/hfaxd.conf
%dir %{faxspool}/config
%dir %{faxspool}/dev
%{faxspool}/config/*
%{faxspool}/bin/dict/*
%{faxspool}/bin/auto-rotate.ps
%{faxspool}/etc/cover.templ
%{faxspool}/etc/lutRS18.pcf
%{faxspool}/etc/LiberationSans-25.pcf
%defattr(755,root,root,-)
%{_sysconfdir}/cron.daily/hylafax
%{_sysconfdir}/cron.hourly/hylafax
%config(noreplace) %{_sysconfdir}/sysconfig/hylafax
%{_sbindir}/choptest
%{_sbindir}/cqtest
%{_sbindir}/faxabort
%{_sbindir}/faxaddmodem
%{_sbindir}/faxadduser
%{_sbindir}/faxanswer
%{_sbindir}/faxconfig
%{_sbindir}/faxcron
%{_sbindir}/faxdeluser
%{_sbindir}/faxgetty
%{_sbindir}/faxlock
%{_sbindir}/faxmodem
%{_sbindir}/faxmsg
%{_sbindir}/faxq
%{_sbindir}/faxqclean
%{_sbindir}/faxquit
%{_sbindir}/faxsend
%{_sbindir}/faxstate
%{_sbindir}/hfaxd
%{_sbindir}/hylafax
%{_sbindir}/lockname
%{_sbindir}/ondelay
%{_sbindir}/pagesend
%{_sbindir}/probemodem
%{_sbindir}/recvstats
%{_sbindir}/tagtest
%{_sbindir}/tsitest
%{_sbindir}/xferfaxstats
%{faxspool}/bin/archive
%{faxspool}/bin/dictionary
%{faxspool}/bin/faxrcvd
%{faxspool}/bin/mkcover
%{faxspool}/bin/notify
%{faxspool}/bin/pollrcvd
%{faxspool}/bin/qp-encode.awk
%{faxspool}/bin/rfc2047-encode.awk
%{faxspool}/bin/wedged
%defattr(-,uucp,uucp,-)
%dir %{faxspool}
%dir %{faxspool}/client
%dir %{faxspool}/etc
%dir %{faxspool}/info
%dir %{faxspool}/log
%dir %{faxspool}/recvq
%dir %{faxspool}/status
%config(noreplace) %{faxspool}/etc/xferfaxlog
%attr(700,uucp,uucp) %dir %{faxspool}/docq
%attr(700,uucp,uucp) %dir %{faxspool}/doneq
%attr(700,uucp,uucp) %dir %{faxspool}/archive
%attr(700,uucp,uucp) %dir %{faxspool}/sendq
%attr(700,uucp,uucp) %dir %{faxspool}/tmp
%attr(700,uucp,uucp) %dir %{faxspool}/pollq
%defattr(600,uucp,uucp,-)
%config(noreplace) %{faxspool}/etc/hosts.hfaxd

%files client
%doc CHANGES CONTRIBUTORS COPYRIGHT README TODO VERSION
%{_mandir}/man1/*
%{_mandir}/man5/dialrules.5f*
%{_mandir}/man5/pagesizes.5f*
%{_mandir}/man5/typerules.5f*
%{_mandir}/man8/dialtest.8c*
%{_mandir}/man8/faxinfo.8c*
%{_mandir}/man8/faxwatch.8c*
%{_mandir}/man8/faxsetup.8c*
%{_mandir}/man8/pdf2fax.8c*
%{_mandir}/man8/tiff2fax.8c*
%{_mandir}/man8/tiffcheck.8c*
%{_mandir}/man8/faxfetch.8c*
%{_mandir}/man8/faxsetup.linux.8c*
%{_mandir}/man8/typetest.8c*
%dir %{_sysconfdir}/hylafax/faxmail
%dir %{_sysconfdir}/hylafax/faxmail/application
%dir %{_sysconfdir}/hylafax/faxmail/image
%config(noreplace) %{_sysconfdir}/hylafax/faxcover.ps
%config(noreplace) %{_sysconfdir}/hylafax/faxmail.ps
%config(noreplace) %{_sysconfdir}/hylafax/pagesizes
%config(noreplace) %{_sysconfdir}/hylafax/typerules
%{faxspool}/bin/genfontmap.ps
%config(noreplace) %{faxspool}/etc/dialrules*
%defattr(755,root,root,-)
%{_bindir}/*
%{_sbindir}/dialtest
%{_sbindir}/edit-faxcover
%{_sbindir}/faxfetch
%{_sbindir}/faxinfo
%{_sbindir}/faxsetup
%{_sbindir}/faxsetup.linux
%{_sbindir}/faxwatch
%{_sbindir}/textfmt
%{_sbindir}/tiffcheck
%{_sbindir}/typetest
%{faxspool}/bin/common-functions
%{faxspool}/bin/pcl2fax
%{faxspool}/bin/pdf2fax.gs
%{faxspool}/bin/ps2fax.gs
%{faxspool}/bin/ps2fax
%{faxspool}/bin/tiff2fax
%{faxspool}/bin/tiff2pdf
%{_sysconfdir}/hylafax/faxmail/application/binary
%{_sysconfdir}/hylafax/faxmail/application/pdf
%{_sysconfdir}/hylafax/faxmail/application/octet-stream
%{_sysconfdir}/hylafax/faxmail/image/tiff
%defattr(-,uucp,uucp,-)
%dir %{faxspool}
%dir %{faxspool}/etc

%files -n %{libname}
%doc COPYRIGHT
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc COPYRIGHT
%{_libdir}/*.so


%changelog
* Thu Jan 23 2025 daviddavid <daviddavid> 7.0.10-1.mga10
+ Revision: 2140933
- new version: 7.0.10

* Fri Sep 27 2024 daviddavid <daviddavid> 7.0.9-1.mga10
+ Revision: 2101446
- new version: 7.0.9

* Fri Mar 22 2024 daviddavid <daviddavid> 7.0.8-1.mga10
+ Revision: 2051262
- new version: 7.0.8

* Mon Jan 23 2023 daviddavid <daviddavid> 7.0.7-1.mga9
+ Revision: 1935427
- new version: 7.0.7, added support for libtiff v4.5.0

* Wed Dec 28 2022 ns80 <ns80> 7.0.6-3.mga9
+ Revision: 1927390
- add a patch to fix building with tiff 4.5
- rebuild for new libtiff

* Wed Nov 30 2022 ns80 <ns80> 7.0.6-2.mga9
+ Revision: 1913285
- rebuild for new jbigkit (mga#31189)

* Wed Oct 19 2022 ghibo <ghibo> 7.0.6-1.mga9
+ Revision: 1897734
- Update to release 7.0.6
+ neoclust <neoclust>
- Rebuild against new openldap

* Sat Apr 02 2022 umeabot <umeabot> 7.0.5-2.mga9
+ Revision: 1840577
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 luigiwalser <luigiwalser> 7.0.5-1.mga9
+ Revision: 1774100
- 7.0.5
- remove upstream patch

* Wed Nov 24 2021 ns80 <ns80> 7.0.4-2.mga9
+ Revision: 1759028
- add patch from openSUSE to fix regressions due to CVE-2020-15397 fix (mga#29688)

* Sat Oct 02 2021 wally <wally> 7.0.4-1.mga9
+ Revision: 1748506
- new version 7.0.4
- rebuild for openssl 3.0.0

* Mon Dec 28 2020 daviddavid <daviddavid> 7.0.3-2.mga8
+ Revision: 1664514
- add support for libtiff 4.2

* Fri Aug 07 2020 daviddavid <daviddavid> 7.0.3-1.mga8
+ Revision: 1611773
- new version: 7.0.3

* Sat Feb 22 2020 daviddavid <daviddavid> 7.0.2-3.mga8
+ Revision: 1549217
- fix ConditionPathExists path: /var/spool/hylafax/ -> /var/spool/fax/ (mga#26233)

* Thu Feb 20 2020 umeabot <umeabot> 7.0.2-2.mga8
+ Revision: 1545957
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 7.0.2-1.mga8
+ Revision: 1485657
- new version: 7.0.2

* Thu Oct 31 2019 daviddavid <daviddavid> 7.0.1-1.mga8
+ Revision: 1457114
- new version: 7.0.1

* Thu Apr 11 2019 daviddavid <daviddavid> 7.0.0-1.mga7
+ Revision: 1388417
- new version: 7.0.0
- now libmajor is 7
- fix libification

* Tue Sep 18 2018 daviddavid <daviddavid> 5.6.1-1.mga7
+ Revision: 1259493
- new version: 5.6.1

* Tue Jul 17 2018 daviddavid <daviddavid> 5.6.0-1.mga7
+ Revision: 1243939
- new version: 5.6.0

* Sat Mar 31 2018 kekepower <kekepower> 5.5.9-1.mga7
+ Revision: 1213950
- Update to version 5.5.9

* Tue Oct 03 2017 cjw <cjw> 5.5.8-5.mga7
+ Revision: 1167726
- patch1: fix build with gcc 7

* Sun Jul 17 2016 tv <tv> 5.5.8-4.mga6
+ Revision: 1042378
- do not package libraries in client package (mga#18969)

* Fri May 20 2016 spuhler <spuhler> 5.5.8-3.mga6
+ Revision: 1017183
- added Conflicts: mgetty-sendfax to client
  * fixes bug 18484

* Thu May 12 2016 tv <tv> 5.5.8-2.mga6
+ Revision: 1014162
- use std build macros; prevent commented out macros to break build

* Tue Feb 23 2016 spuhler <spuhler> 5.5.8-1.mga6
+ Revision: 977428
-upgrade to vers. 5.5.8

* Mon Jan 04 2016 spuhler <spuhler> 5.5.7-1.mga6
+ Revision: 919562
- add hylafax-faxgetty@.service
- allow sysconfig/hylafax+ to disable faxqclean from being run
- upgrade to vers. 5.5.7

* Wed Sep 16 2015 tv <tv> 5.5.6-3.mga6
+ Revision: 879713
- fix disabling stripping
- reenable debuginfo

* Tue Sep 15 2015 spuhler <spuhler> 5.5.6-2.mga6
+ Revision: 879584
- fix empty debug files build

* Thu Jun 25 2015 spuhler <spuhler> 5.5.6-1.mga6
+ Revision: 843009
- upgrade to vers. 5.5.6
  * mostly bugfixes

* Wed Apr 29 2015 spuhler <spuhler> 5.5.5-13.mga5
+ Revision: 820852
- versioned "Conflicts:" in client

* Tue Apr 28 2015 luigiwalser <luigiwalser> 5.5.5-12.mga5
+ Revision: 820809
- fix conflicts to handled moved faxsetup binaries
+ tv <tv>
- add conflicts against hylafax (fix update, mga#15781)

* Tue Nov 18 2014 colin <colin> 5.5.5-11.mga5
+ Revision: 797740
- name tmpfiles better ('tmpfiles' is redundant in filename)
- own tmpfiles correctly (no need for them to be owned by uucp)
- fix _post_service and _preun_service invocations

* Mon Nov 17 2014 spuhler <spuhler> 5.5.5-10.mga5
+ Revision: 797726
- tempfiles spelling

* Mon Nov 17 2014 spuhler <spuhler> 5.5.5-9.mga5
+ Revision: 797718
- fixed wrong tempfilescreate

* Sun Nov 16 2014 spuhler <spuhler> 5.5.5-8.mga5
+ Revision: 797406
- changed user and grp in tmpfiles to root root
  * we run them as root

* Wed Oct 15 2014 umeabot <umeabot> 5.5.5-7.mga5
+ Revision: 750708
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.5.5-6.mga5
+ Revision: 680338
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 spuhler <spuhler> 5.5.5-5.mga5
+ Revision: 661819
+ rebuild (emptylog)

* Mon Aug 11 2014 spuhler <spuhler> 5.5.5-4.mga5
+ Revision: 661815
- changed Provides and Obsoletes in libs and devel as explicites to lib(64)hylafax5 and  lib(64)hylafax-devel
- removed (Build)Requires mgetty-voice

* Mon Aug 11 2014 spuhler <spuhler> 5.5.5-3.mga5
+ Revision: 661776
- added absolute Provides and Obsolates to the client, libs and devel packages

* Thu Aug 07 2014 spuhler <spuhler> 5.5.5-2.mga5
+ Revision: 660813
- added the needed provides, obsoletes and %%rename to change the name
- replaced the hylafax-server with just hylafax as Fedora and Opensuse
- removed the epoch
- changing name from hylafax to hylafx+

* Wed Aug 06 2014 spuhler <spuhler> 1:5.5.5-1.mga5
+ Revision: 660066
- some libnames and Requirement fixes
- upgrade to vers. 5.5.5 from 5.5.0
- harmonize spec with Fedora and Suse (remove most patches)
- convert init to systemd (and remove init related files)
- added the cron and systemd related files
- deleted old patches, init and config files
- deleted file hylafax-v4.1-cron_entries.tar.bz2
- deleted file hylafax-v4.1-defaults.tar.bz2
- deleted file hylafax-v4.1-dialrules_extras.tar.bz2

* Fri Oct 18 2013 umeabot <umeabot> 1:5.5.0-6.mga4
+ Revision: 505902
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:5.5.0-5.mga3
+ Revision: 353811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 1:5.5.0-4.mga3
+ Revision: 302283
- update RPM group

* Sun Apr 29 2012 colin <colin> 1:5.5.0-3.mga2
+ Revision: 234248
- Add LSB headers to initscripts (mga#5262)

* Fri Dec 23 2011 fwang <fwang> 1:5.5.0-2.mga2
+ Revision: 186404
- rebuild for new libtiff

* Sat Apr 02 2011 mikala <mikala> 1:5.5.0-1.mga1
+ Revision: 79758
- Update tarball to 5.5.0
- Rediff patch0
- Disable patch10 (build failed currently when it's enable)
- Disable %%serverbuild (build is also failing)
- Remove some options in ./configure ( build was failing with --with-TIFFINC=%%{_includedir} )
+ ennael <ennael>
- clean spec file
- ean spec file
- imported package hylafax

